% nombre de valeurs de x_i

n=1;
% valeurs des paramtres
m_0=1;
sigma_0=0.5;
m=0;
sigma=2;
% donnes
x=randn(1,n);
xbar=sum(x)/n;
% loi a posteriori
a=(n*sigma_0^2)/(n*sigma_0^2+sigma^2);
b=(sigma^2)/(sigma^2+n*sigma_0^2);
m_n=a*xbar+b*m_0;
var_n=(sigma^2*sigma_0^2)/(sigma^2+ n *sigma_0^2);



% axe
naxe=1000;
axe=linspace(-3,3,naxe);

figure
subplot(2,2,1)
title('n=1')
plot(axe,normpdf(axe,m_0,sigma_0^2),'r');
hold on
plot(axe,normpdf(axe,m_n,var_n));
legend('loi a priori, m_0=0, \sigma_0=1','loi a posteriori, n=1',0)

hold off

n=10;
% valeurs des paramtres
m_0=1;
sigma_0=0.5;
m=0;
sigma=2;
% donnes
x=randn(1,n);
xbar=sum(x)/n;
% loi a posteriori
a=(n*sigma_0^2)/(n*sigma_0^2+sigma^2);
b=(sigma^2)/(sigma^2+n*sigma_0^2);
m_n=a*xbar+b*m_0;
var_n=(sigma^2*sigma_0^2)/(sigma^2+ n *sigma_0^2);



% axe
naxe=1000;
axe=linspace(-3,3,naxe);

subplot(2,2,2)
title('n=10')
plot(axe,normpdf(axe,m_0,sigma_0^2),'r');
hold on
plot(axe,normpdf(axe,m_n,var_n));
legend('loi a priori, m_0=0, \sigma_0=1','loi a posteriori, n=10',0)
hold off

n=100;
% valeurs des paramtres
m_0=1;
sigma_0=0.5;
m=0;
sigma=2;
% donnes
x=randn(1,n);
xbar=sum(x)/n;
% loi a posteriori
a=(n*sigma_0^2)/(n*sigma_0^2+sigma^2);
b=(sigma^2)/(sigma^2+n*sigma_0^2);
m_n=a*xbar+b*m_0;
var_n=(sigma^2*sigma_0^2)/(sigma^2+ n *sigma_0^2);



% axe
naxe=1000;
axe=linspace(-3,3,naxe);

subplot(2,2,3)
title('n=100')
plot(axe,normpdf(axe,m_0,sigma_0^2),'r');
hold on
plot(axe,normpdf(axe,m_n,var_n));
legend('loi a priori, m_0=0, \sigma_0=1','loi a posteriori, n=100',0)
hold off

n=1000;
% valeurs des paramtres
m_0=1;
sigma_0=0.5;
m=0;
sigma=2;
% donnes
x=randn(1,n);
xbar=sum(x)/n;
% loi a posteriori
a=(n*sigma_0^2)/(n*sigma_0^2+sigma^2);
b=(sigma^2)/(sigma^2+n*sigma_0^2);
m_n=a*xbar+b*m_0;
var_n=(sigma^2*sigma_0^2)/(sigma^2+ n *sigma_0^2);



% axe
naxe=1000;
axe=linspace(-3,3,naxe);

subplot(2,2,4)
title('n=1000')
plot(axe,normpdf(axe,m_0,sigma_0^2),'r');
hold on
plot(axe,normpdf(axe,m_n,var_n));
legend('loi a priori, m_0=0, \sigma_0=1','loi a posteriori, n=1000',0)
hold off

